/****************************************************************************
  Project: NITRO-SampleTools - TXLib - TextureViewer
  File:    TextureDataTypedef.h

  Copyright 2004,2005 Nintendo Co.,Ltd.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  Header file which is necessary to include NTF in TextureViewer.
  Structure which puts texture format, graphics size, etc. together is defined.

  $Log: TextureDataTypedef.h,v $
  Revision 1.7  2005/06/20 06:46:11  mominoki
  Updated copyright. Made revision adjustments. 


  Revision 1.1  2004/04/15		mominoki
  Fixed comments.

  Revision 1.0  2004/01/27		mominoki
  Entered initial version.

  $NoKeywords: $
 ***************************************************************************/
#ifndef TEXTUREDATATYPEDEF_H_
#define TEXTUREDATATYPEDEF_H_

#include <nitro.h>

typedef struct tTextureParameter{
	u32					texelDataSize;				// Texel data size
	u32					paletteDataSize;			// Palette data size
	u32					paletteIndexDataSize;		// Palette index data size
	GXTexFmt 			type;						// Format
	u16 				size_s;						// Size width
	u16 				size_t;						// Size height
	u16 				size_s_org;					// Actual size width
	u16 				size_t_org;					// Actual size height
}tTextureParameter;

typedef struct tTextureData{
 	const u8* 					texelData;					// Texture data pointer
 	const u16* 					paletteData;				// Palette data pointer
 	const u16* 					paletteIndexData;			// Palette index data pointer
	const tTextureParameter*	parameter;
}tTextureData;


#endif