/****************************************************************************
  Project: NITRO-SampleTools - TXLib
  File:    TXLibUtility.h

  Copyright 2004,2005 Nintendo Co.,Ltd.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  This is a group of functions prepared in order to make TXLib more easily accesible from Tools.
  This group of functions is an example of how to access TXLib.

  $Log: TXLibUtility.h,v $
  Revision 1.8  2005/06/20 06:54:11  mominoki
  Revised copyright. Made revision adjustments. 

  Revision 1.1  2004/04/15		mominoki
  Corrected comment

  Revision 1.0  2004/03/03		mominoki
  Initial registration

  $NoKeywords: $
 ***************************************************************************/
#ifndef TXLIBUTILITY_H_
#define TXLIBUTILITY_H_

#include <TXLib.h>
#include "TXLibUtility_Bmp.h"
#include "TXLibUtility_Tga.h"

namespace TXLibUtility{

	enum	tImageType{
		kImageType_bmp,					// BMP
		kImageType_tga,					// TGA
	}; // Image data format

	// Function
	bool ChangeExtName( 
				char*					pPathName,						// Path name of change
		const	char*					extName							// Extension to be changed
	); // Change extension of path name


	bool Load( 
				TXLib::CTexture*		pTexture,						// CTexture pointer
		const	char*					pPathName						// Path name of file to load
	); // Load image file


	bool Save(
		const 	char*					pPathName,						// Path name of file to save
				TXLib::CTexture*		pTexture						// CTexture pointer
	); // Save image file


	bool SaveNtf( 
		const 	char*					pPathName,						// Path name of file to save
				TXLib::CTexture*		pTexture,						// CTexture pointer
				bool					binaryFlg,						// Binary output flag (false: source, true: binary)
		const 	char*					pInputPathName,					// Path name of input file
				bool					textureViewFlg,					// TextureViewerFlg
				bool					sizeAlignmentFlg				// NTF size adjusted flag
	); // NTF save

} // namespace

#endif