/****************************************************************************
  Project: NITRO-SampleTools - TXLib
  File:    MyColorProcessor.h

  Copyright 2004,2005 Nintendo Co.,Ltd.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  This is the color processing class. It is a function customized to perform only RGBA to Index Color conversion through color subtraction.
  All other functions are left to CDefaultColorProcessor.

  $Log: MyColorProcessor.h,v $
  Revision 1.8  2005/06/20 06:54:11  mominoki
  Changed copyright. Made revision adjustments. 

  Revision 1.1  2004/04/15		mominoki
  Corrected comment

  Revision 1.0  2004/03/03		mominoki
  Initial registration

  $NoKeywords: $
 ***************************************************************************/
#ifndef MYCOLORPROCESSOR_H_
#define MYCOLORPROCESSOR_H_

#include <TXLib.h>

class CMyColorProcessor :public TXLib::CDefaultColorProcessor
{
public:
	CMyColorProcessor(){};									// Constructor
	virtual		~CMyColorProcessor(){};						// Destructor

	virtual bool ConvertToPaletteType(
		TXLib::CTexture*					pTexture					// Texture
	); 	// Convert from direct to palette format texture
};

#endif
