/****************************************************************************
  Project: NITRO-SampleTools - TXLib
  File:    outputNTF.cpp

  Copyright 2004,2005 Nintendo Co.,Ltd.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  - A simple sample program using TXLib.
  - Loads one BMP file and outputs to NTF with unmodified CTexture format.

  $Log: outputNTF.cpp,v $
  Revision 1.8  2005/06/20 06:54:11  mominoki
  Revised copyright. Made revision adjustments. 

  Revision 1.1  2004/04/15		mominoki
  Corrected comment

  Revision 1.0  2004/03/03		mominoki
  Initial registration

  $NoKeywords: $
 ***************************************************************************/
#include "stdafx.h"
#include <cstdio>
#include <TXLib.h>
#include "../TXLibUtility/include/TXLibUtility.h"

int _tmain(int argc, _TCHAR* argv[])
{
	TXLib::CTexture texture;

	// Convert input image file to CTexture
	if( !TXLibUtility::Load(
				&texture,											// CTexture
				"../common/inputFiles/mario_128x128_palette256.bmp"	// Input image file path name
	) )
	{
		printf("Failed to load image file.\n"); exit(1);
	}

	// Output NTF
	if( !TXLibUtility::SaveNtf(
				"outputFiles/after.c",				// NTF file name
				&texture,							// CTexture
				false,								// Text format
				NULL,								// Input image file path name
				false,								// Does not output TextureViewer file
				true								// Aligh to NTF image size
	) )
	{
		printf("Failed to output NTF file.\n"); exit(1);
	}

	printf("Succeeded.\n");

	return 0;
}

